## kosmindoormap 22.12.2

=== debian/changelog ===
kosmindoormap (22.12.2-2) unstable; urgency=medium

  * Make failing tests not fail the build for unstable architectures.

 -- Sandro Knauß <hefee@debian.org>  Tue, 14 Feb 2023 14:02:06 +0100

kosmindoormap (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Feb 2023 08:28:41 +0100

kosmindoormap (22.12.1-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Add the dh-sequence-pkgkde-symbolshelper build dependency to use the
    pkgkde-symbolshelper dh addon for symbols files.
  * Use the canonical form for Maintainer.
  * Re-export upstream signing key without extra signatures.
  * Fix typo in the changelog stanza of 22.12.1-1.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Feb 2023 00:28:31 +0100

kosmindoormap (22.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update signing-key for current version..
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * Update symbols from buildds for 22.08.2.
  * Add optional build dependency libkopeninghours-dev.
  * Update symbols from build for 22.12.1.

 -- Sandro Knauß <hefee@debian.org>  Mon, 30 Jan 2023 19:02:28 +0100

kosmindoormap (22.08.2-1) unstable; urgency=medium

  * Initial release (Closes: #1022272).

 -- Sandro Knauß <hefee@debian.org>  Sun, 23 Oct 2022 13:52:59 +0200
