=== debian/control ===
Source: kosmindoormap
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.90~),
               flex,
               kirigami2-dev,
               libkf5i18n-dev,
               libkopeninghours-dev,
               libkpublictransport-dev,
               libprotobuf-dev,
               libqt5svg5-dev (>= 5.15~),
               libssl-dev,
               protobuf-compiler,
               qtbase5-dev (>= 5.15~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15~),
               qtquickcontrols2-5-dev (>= 5.15~),
               zlib1g-dev
Homepage: https://invent.kde.org/libraries/kosmindoormap/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: kosmindoormap-dev
Section: libdevel
Architecture: any
Depends: libkosm1 (= ${binary:Version}),
         libkosmindoormap1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15~),
         ${misc:Depends}
Description: OSM multi-floor indoor map renderer (development files)
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 Contains development files.

Package: libkosmindoormap1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer
 Open Street Map indoor map renderer of for example a (large) train station.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.

Package: libkosm1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for OSM data with Qt
 Use OSM data with Qt data types to use it easily in your Qt applications.
 .
 It gives you picking support for implementing interaction with map elements.
 It supports externally provided overlay elements. It allows pre-loading and
 caching API for offline support in applications.

Package: qml-module-org-kde-kosmindoormap
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM multi-floor indoor map renderer QML module
 Open Street Map indoor map renderer module for QML.
 .
 It has floor-level separation of OSM data and inter-floor navigation using
 stairs, escalators or elevators. Information for details like a selected
 amenity. Identifying railway platforms or airport gates in the map data. It is
 integrated with KPublicTransport to show line icons for railway platforms, show
 availability of rental bikes and get realtime equipment
 (elevators/escalators/etc) status information.
