=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -22,7 +23,7 @@
                qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15~),
                qtquickcontrols2-5-dev (>= 5.15~),
-               zlib1g-dev
+               zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
@@ -35,7 +36,7 @@
 Depends: libkosm1 (= ${binary:Version}),
          libkosmindoormap1 (= ${binary:Version}),
          qtbase5-dev (>= 5.15~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: OSM multi-floor indoor map renderer (development files)
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -43,7 +44,7 @@
 
 Package: libkosmindoormap1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -56,7 +57,7 @@
 
 Package: libkosm1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for OSM data with Qt
  Use OSM data with Qt data types to use it easily in your Qt applications.
  .
@@ -70,7 +71,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
