=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -13,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev,
-               libkpublictransport-dev,
+               libkopeninghours-dev (>= 23.08.0~),
+               libkpublictransport-dev (>= 23.08.0~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,
@@ -25,8 +26,8 @@
                qtquickcontrols2-5-dev (>= 5.15~),
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
