=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,23 @@
 target_include_directories(kosmindoormap-app PRIVATE ${CMAKE_BINARY_DIR})
 target_link_libraries(kosmindoormap-app PRIVATE
     KOSMIndoorMap
-    KF5::I18n
+    KOSM_xmlioplugin
+    KF${KF_MAJOR_VERSION}::I18n
     Qt::Quick
 )
+
+if (TARGET KOSM_pbfioplugin)
+    target_compile_definitions(kosmindoormap-app PRIVATE -DHAVE_OSM_PBF_SUPPORT=1)
+    target_link_libraries(kosmindoormap-app PRIVATE KOSM_pbfioplugin)
+else()
+    target_compile_definitions(kosmindoormap-app PRIVATE -DHAVE_OSM_PBF_SUPPORT=0)
+endif()
 
 if (ANDROID)
     # explicitly add runtime dependencies and transitive link dependencies,
     # so androiddeployqt picks them up
     target_link_libraries(kosmindoormap-app PRIVATE
-        KF5::Kirigami2
+        KF${KF_MAJOR_VERSION}::Kirigami2
         Qt::Svg
         OpenSSL::SSL
         Qt::QuickControls2
