=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                flex,
                kirigami2-dev,
                libkf5i18n-dev,
-               libkopeninghours-dev (>= 23.08.4~),
-               libkpublictransport-dev (>= 23.08.4~),
+               libkopeninghours-dev (>= 23.08.5~),
+               libkpublictransport-dev (>= 23.08.5~),
                libprotobuf-dev,
                libqt5svg5-dev (>= 5.15~),
                libssl-dev,
