=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

unstable_architectures := i386 hurd-i386

%:
	dh $@

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH), $(unstable_architectures)))
	- dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif
