## kosmindoormap 24.08.1

=== debian/changelog ===
kosmindoormap (24.08.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:29 -0500

kosmindoormap (24.08.1-2) experimental; urgency=medium

  * Switch to dh_qmldeps.
  * dev package ships all qml packages for autodetection.
  * Add Multi-Arch hints.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 13:27:21 +0200

kosmindoormap (24.08.1-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update paths for Qt6 build.
  * Add hurd-amd64 as flaky arch.
  * Add new packages:
    - libkosmindoorrouting1
    - qml6-module-org-kde-kosmindoorrouting
    - qml6-module-org-kde-osm-editorcontroller
    - demo application
  * Use virtual package to track rebuilds.
  * Update copyright information.
  * Use pkgkde-getqmldepdends for qml6-module-org-kde-kosmindoormap.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 04:03:58 +0200
