## kosmindoormap 24.08.3

=== debian/changelog ===
kosmindoormap (24.08.3-0ubuntu5) plucky; urgency=medium

  * Rebuild against Qt 6.8.1

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Dec 2024 15:55:35 +0000

kosmindoormap (24.08.3-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:58:23 -0600

kosmindoormap (24.08.3-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:58:23 -0600

kosmindoormap (24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:13:51 +0000

kosmindoormap (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:29 +0000

kosmindoormap (24.08.1-2ubuntu2) plucky; urgency=medium

  * Fix QML depends.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:31:38 -0600
