=== debian/control ===
--- 
+++ 
@@ -44,9 +44,7 @@
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -113,9 +111,7 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -129,8 +125,7 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -144,7 +139,6 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.
