## kosmindoormap 24.12.0

=== debian/changelog ===
kosmindoormap (24.12.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:03:27 +0100

kosmindoormap (24.12.0-2) experimental; urgency=medium

  * Update build dependencies to run tests successfully.
  * Fix filtering for archs failing tests.
  * empty list of failing archs, to check again what archs are fine.

 -- Sandro Knauß <hefee@debian.org>  Tue, 17 Dec 2024 00:10:51 +0100

kosmindoormap (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.3).
  * dev packages now ship the needed qml modules.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * New upstream release (24.12.0).
  * Bump dependecy on kopeninghours/kpublictransport.
  * Update qmlfiles for kosmindoormap-demo.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 22:32:24 +0100
