=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kosmindoormap
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -17,34 +16,34 @@
                libkf6i18n-dev,
                libkf6service-dev,
                libkirigami-dev (>= 6.3~),
-               libkopeninghours-dev (>= 24.08~),
-               libkpublictransport-dev (>= 24.08~),
+               libkopeninghours-dev (>= 24.12~),
+               libkpublictransport-dev (>= 24.12~),
                libprotobuf-dev,
                librecast-dev,
                libssl-dev,
                protobuf-compiler,
                qml6-module-org-kde-contacts,
                qml6-module-org-kde-kirigamiaddons-formcard,
-               qml6-module-org-kde-kopeninghours,
-               qml6-module-org-kde-kpublictransport,
-               qml6-module-qtcore,
-               qml6-module-qtqml-models,
-               qml6-module-qtquick-dialogs,
                qt6-base-dev (>= 6.5~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                qt6-svg-dev (>= 6.5~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
 Homepage: https://invent.kde.org/libraries/kosmindoormap/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kosmindoormap
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kosmindoormap.git
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: kosmindoormap-demo
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map demo application
  Open Street Map indoor map renderer of for example a (large) train station.
  .
@@ -111,7 +110,9 @@
 Package: qml6-module-org-kde-kosmindoormap
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map renderer QML module
  Open Street Map indoor map renderer module for QML.
  .
@@ -125,7 +126,9 @@
 Package: qml6-module-org-kde-kosmindoorrouting
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM multi-floor indoor map navigation QML module
  Open Street Map indoor map navigation module for QML.
  .
@@ -139,6 +142,8 @@
 Package: qml6-module-org-kde-osm-editorcontroller
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: OSM indoor editor QML module
  Open Street Map indoor map editor for QML.
